Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.red5.server.net.rtmp.codec
Class RTMPMinaProtocolEncoder

    java.lang.Object
      org.apache.mina.filter.codec.ProtocolEncoderAdapter
          org.red5.server.net.rtmp.codec.RTMPMinaProtocolEncoder

All Implemented Interfaces:
  ProtocolEncoder

    public class RTMPMinaProtocolEncoder

extends ProtocolEncoderAdapter

Mina protocol encoder for RTMP.

Field Summary
`protected static Logger` | `log`

Constructor Summary
`RTMPMinaProtocolEncoder()`

Method Summary
`void` | `encode(IoSession session, Object message, ProtocolEncoderOutput out)`
`RTMPProtocolEncoder` | `getEncoder()`
`void` | `setBaseTolerance(long baseTolerance)` Setter for baseTolerance
`void` | `setDropLiveFuture(boolean dropLiveFuture)` Setter for dropLiveFuture
`void` | `setSerializer(Serializer serializer)` Setter for serializer.

Methods inherited from class org.apache.mina.filter.codec.ProtocolEncoderAdapter
`dispose`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### log

    protected static Logger log

Constructor Detail

### RTMPMinaProtocolEncoder

    public RTMPMinaProtocolEncoder()

Method Detail

### encode

    public void encode(IoSession session,
                       Object message,
                       ProtocolEncoderOutput out)
                throws ProtocolCodecException

  Throws:
    `ProtocolCodecException`

### getEncoder

    public RTMPProtocolEncoder getEncoder()

### setSerializer

    public void setSerializer(Serializer serializer)

  Setter for serializer.

  Parameters:
    `serializer` - Serializer

### setBaseTolerance

    public void setBaseTolerance(long baseTolerance)

  Setter for baseTolerance

### setDropLiveFuture

    public void setDropLiveFuture(boolean dropLiveFuture)

  Setter for dropLiveFuture

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2010 The Red5 Project